Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface Reference

    public interface Reference

A wrapper for a pointer from a key value of an `EncryptedKey` to items encrypted by that key value (`EncryptedData` or `EncryptedKey` elements).

It is defined as follows:

     <complexType name='ReferenceType'>
         <sequence>
             <any namespace='##other' minOccurs='0' maxOccurs='unbounded'/>
         </sequence>
         <attribute name='URI' type='anyURI' use='required'/>
     </complexType>

Author:
  Axl Mattheus
See Also:
  `ReferenceList`

Method Summary
`void` | `addElementRetrievalInformation(org.w3c.dom.Element info)` Adds retrieval information.
`java.util.Iterator<org.w3c.dom.Element>` | `getElementRetrievalInformation()` Returns an `Iterator` over all the child elements contained in this `Reference` that will aid the recipient in retrieving the `EncryptedKey` and/or `EncryptedData` elements.
`java.lang.String` | `getType()` Returns the `Element` tag name for this `Reference`.
`java.lang.String` | `getURI()` Returns a `URI` that points to an `Element` that were encrypted using the key defined in the enclosing `EncryptedKey` element.
`void` | `removeElementRetrievalInformation(org.w3c.dom.Element info)` Removes the specified retrieval information.
`void` | `setURI(java.lang.String uri)` Sets a `URI` that points to an `Element` that were encrypted using the key defined in the enclosing `EncryptedKey` element.

Method Detail

### getType

    java.lang.String getType()

  Returns the `Element` tag name for this `Reference`.

  Returns:
    the tag name of this `Reference`.

### getURI

    java.lang.String getURI()

  Returns a `URI` that points to an `Element` that were encrypted using the key defined in the enclosing `EncryptedKey` element.

  Returns:
    an Uniform Resource Identifier that qualifies an `EncryptedType`.

### setURI

    void setURI(java.lang.String uri)

  Sets a `URI` that points to an `Element` that were encrypted using the key defined in the enclosing `EncryptedKey` element.

  Parameters:
    `uri` - the Uniform Resource Identifier that qualifies an `EncryptedType`.

### getElementRetrievalInformation

    java.util.Iterator<org.w3c.dom.Element> getElementRetrievalInformation()

  Returns an `Iterator` over all the child elements contained in this `Reference` that will aid the recipient in retrieving the `EncryptedKey` and/or `EncryptedData` elements. These could include information such as XPath transforms, decompression transforms, or information on how to retrieve the elements from a document storage facility.

  Returns:
    child elements.

### addElementRetrievalInformation

    void addElementRetrievalInformation(org.w3c.dom.Element info)

  Adds retrieval information.

  Parameters:
    `info` -

### removeElementRetrievalInformation

    void removeElementRetrievalInformation(org.w3c.dom.Element info)

  Removes the specified retrieval information.

  Parameters:
    `info` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD